Package fr.gouv.vitam.common.database.builder.query.action

# Class UpdateActionHelper

java.lang.Object
fr.gouv.vitam.common.database.builder.query.action.UpdateActionHelper

Direct Known Subclasses:
  `UpdateActionParserHelper`

public class UpdateActionHelper extends Object
Update associated actions helper

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `UpdateActionHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final AddAction`
  `add(String variableName, boolean... value)`
  `static final AddAction`
  `add(String variableName, double... value)`
  `static final AddAction`
  `add(String variableName, long... value)`
  `static final AddAction`
  `add(String variableName, String... value)`
  `static final AddAction`
  `add(String variableName, Date... value)`
  `static final IncAction`
  `inc(String variableName)`
  `static final IncAction`
  `inc(String variableName, long value)`
  `static final MaxAction`
  `max(String variableName, boolean value)`
  `static final MaxAction`
  `max(String variableName, double value)`
  `static final MaxAction`
  `max(String variableName, long value)`
  `static final MaxAction`
  `max(String variableName, String value)`
  `static final MaxAction`
  `max(String variableName, Date value)`
  `static final MinAction`
  `min(String variableName, boolean value)`
  `static final MinAction`
  `min(String variableName, double value)`
  `static final MinAction`
  `min(String variableName, long value)`
  `static final MinAction`
  `min(String variableName, String value)`
  `static final MinAction`
  `min(String variableName, Date value)`
  `static final PopAction`
  `pop(String variableName)`
  `static final PopAction`
  `pop(String variableName, int way)`
  `static final PullAction`
  `pull(String variableName, boolean... value)`
  `static final PullAction`
  `pull(String variableName, double... value)`
  `static final PullAction`
  `pull(String variableName, long... value)`
  `static final PullAction`
  `pull(String variableName, String... value)`
  `static final PullAction`
  `pull(String variableName, Date... value)`
  `static final PushAction`
  `push(String variableName, boolean... value)`
  `static final PushAction`
  `push(String variableName, double... value)`
  `static final PushAction`
  `push(String variableName, long... value)`
  `static final PushAction`
  `push(String variableName, String... value)`
  `static final PushAction`
  `push(String variableName, Date... value)`
  `static final RenameAction`
  `rename(String variableName, String newName)`
  `static final SetAction`
  `set(com.fasterxml.jackson.databind.node.ObjectNode node)`
  `static final SetAction`
  `set(String variableName, boolean value)`
  `static final SetAction`
  `set(String variableName, double value)`
  `static final SetAction`
  `set(String variableName, long value)`
  `static final SetAction`
  `set(String variableName, String value)`
  `static final SetAction`
  `set(String variableName, Date value)`
  `static final SetAction`
  `set(String variableName, List<?> value)`
  `static final SetAction`
  `set(Map<String,?> map)`
  `static final UnsetAction`
  `unset(String... variableName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpdateActionHelper

    protected UpdateActionHelper()

- ## Method Details

  - ### add

    public static final AddAction add(String variableName, String... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an AddAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public static final AddAction add(String variableName, boolean... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an AddAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public static final AddAction add(String variableName, long... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an AddAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public static final AddAction add(String variableName, double... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an AddAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public static final AddAction add(String variableName, Date... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an AddAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### inc

    public static final IncAction inc(String variableName, long value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an IncAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### inc

    public static final IncAction inc(String variableName) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
    Returns:
      an IncAction using default value 1
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### min

    public static final MinAction min(String variableName, long value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an MinAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### min

    public static final MinAction min(String variableName, double value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an MinAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### min

    public static final MinAction min(String variableName, boolean value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an MinAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### min

    public static final MinAction min(String variableName, String value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an MinAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### min

    public static final MinAction min(String variableName, Date value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an MinAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### max

    public static final MaxAction max(String variableName, long value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an MaxAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### max

    public static final MaxAction max(String variableName, double value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an MaxAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### max

    public static final MaxAction max(String variableName, boolean value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an MaxAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### max

    public static final MaxAction max(String variableName, String value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an MaxAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### max

    public static final MaxAction max(String variableName, Date value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      an MaxAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### pull

    public static final PullAction pull(String variableName, String... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a PullAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### pull

    public static final PullAction pull(String variableName, boolean... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a PullAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### pull

    public static final PullAction pull(String variableName, long... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a PullAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### pull

    public static final PullAction pull(String variableName, double... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a PullAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### pull

    public static final PullAction pull(String variableName, Date... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a PullAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### pop

    public static final PopAction pop(String variableName, int way) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `way` - -1 for first, 1 for last
    Returns:
      a PopAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### pop

    public static final PopAction pop(String variableName) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
    Returns:
      a PopAction with default last position
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### push

    public static final PushAction push(String variableName, String... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a PushAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### push

    public static final PushAction push(String variableName, boolean... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a PushAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### push

    public static final PushAction push(String variableName, long... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a PushAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### push

    public static final PushAction push(String variableName, double... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a PushAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### push

    public static final PushAction push(String variableName, Date... value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a PushAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### rename

    public static final RenameAction rename(String variableName, String newName) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `newName` - new key name
    Returns:
      a RenameAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### set

    public static final SetAction set(String variableName, String value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a SetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### set

    public static final SetAction set(String variableName, List<?> value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value as List of values
    Returns:
      a SetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### set

    public static final SetAction set(String variableName, boolean value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a SetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### set

    public static final SetAction set(String variableName, long value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a SetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### set

    public static final SetAction set(String variableName, double value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a SetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### set

    public static final SetAction set(String variableName, Date value) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      a SetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### set

    public static final SetAction set(Map<String,?> map) throws InvalidCreateOperationException
    Parameters:
      `map` - map of variableName for values
    Returns:
      a SectAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### set

    public static final SetAction set(com.fasterxml.jackson.databind.node.ObjectNode node) throws InvalidCreateOperationException
    Parameters:
      `node` - of variableName and values
    Returns:
      a SetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### unset

    public static final UnsetAction unset(String... variableName) throws InvalidCreateOperationException
    Parameters:
      `variableName` - key name
    Returns:
      an UnsetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid